;I copied some of these from theguide.ticalc.org.
;It is a TI-86 site so some of these keys may be non-existent
;(I already deleted all the "second-alpha" functions)

; 			1ST FUNCTIONS 'GETKEY' EQUATES

kyOn		.equ	000h
kyRight		.equ	001h
kyLeft		.equ	002h
kyUp		.equ	003h
kyDown		.equ	004h
kyEnter		.equ	005h
kyClear		.equ	009h
kyDEL		.equ	00Ah
kyPrgm		.equ	02Dh
kyZOOM		.equ	02Eh
kyStat		.equ	031h
kyMATH		.equ	032h
kyVARS		.equ	035h
kyMATRIX	.equ	037h
kyGRAPH		.equ	044h
kyMODE		.equ	045h
kyWINDOW	.equ	048h
kyYEQU		.equ	049h
kyTRACE		.equ	05Ah
kyAdd		.equ	080h
kySub		.equ	081h
kyMul		.equ	082h
kyDiv		.equ	083h
kyExpon		.equ	084h
kyLParen	.equ	085h
kyRParen	.equ	086h
kyStore		.equ	08Ah
kyCOMMA		.equ	08Bh
kyChs		.equ	08Ch
kyDecPnt	.equ	08Dh
ky0		.equ	08Eh
ky1		.equ	08Fh
ky2		.equ	090h
ky3		.equ	091h
ky4		.equ	092h
ky5		.equ	093h
ky6		.equ	094h
ky7		.equ	095h
ky8		.equ	096h
ky9		.equ	097h
kyVarx		.equ	0B4h
kyINV		.equ	0B6h
kySin		.equ	0B7h
kyCos		.equ	0B9h
kyTan		.equ	0BBh
kySQUARE	.equ	0BDh
kyLN		.equ	0BFh
kyLOG		.equ	0C1h

;			2ND FUNCTIONS 'GETKEY' EQUATES
;kyOn		.equ	000h ;Turns off calc
;kyUp		.equ	003h ;Change contrast
;kyDown		.equ	004h ;Change contrast
;kyCLEAR	.equ	009h
kyINS		.equ	00Bh
kyRecall	.equ	00Ch
kyLastEnt	.equ	00Dh
kyBOL		.equ	00Eh ;2nd left
kyEOL		.equ	00Fh ;2nd right
kyDRAW		.equ	02Fh
kySPLOT		.equ	030h
kyTEST		.equ	033h
kyMem		.equ	036h
kyDIST		.equ	038h
kyANGLE		.equ	039h
kyLIST		.equ	03Ah
kyCALC		.equ	03Bh
kyFIN		.equ	03Ch
kyCATALOG	.equ	03Eh
kyQuit		.equ	040h
kyLinkIO	.equ	041h
kyTABLE		.equ	04Ah
kyTBLSET	.equ	04Bh
kyFORMAT	.equ	057h
kyLBRACK	.equ	087h
kyRBRACK	.equ	088h
kyEE		.equ	098h
kyPi		.equ	0B5h
kyASin		.equ	0B8h
kyACos		.equ	0BAh
kyATan		.equ	0BCh
kySQRT		.equ	0BEh
kyEXP		.equ	0C0h
kyALOG		.equ	0C2h
kyANS		.equ	0C5h
kyLBRACE	.equ	0ECh
kyRBracE	.equ	0EDh
kyii		.equ	0EEh
kyCONSTeA	.equ	0EFh
kyL1A		.equ	0F3h
kyL2A		.equ	0F4h
kyL3A		.equ	0F5h
kyL4A		.equ	0F6h
kyL5A		.equ	0F7h
kyL6A		.equ	0F8h
kyUNA		.equ	0F9h
kyVNA		.equ	0FAh
kyWNA		.equ	0FBh

; 			ALPHA FUNCTIONS 'GETKEY' EQUATES
;kyOn		.equ	000h
;kyRight	.equ	001h
;kyLeft		.equ	002h
;kyALPHAENTER	.equ	006h ;This equals 05h
;kyALPHAUP	.equ	007h ;Non-existent on TI-83
;kyALPHADOWN	.equ	008h ;Non-existent on TI-83
;kyClear	.equ	009h
;kyDEL		.equ	00Ah
;kyZOOM		.equ	02Eh
;kySTAT		.equ	031h
;kyVARS		.equ	035h
;kyGRAPH	.equ	044h
;kyMODE		.equ	045h
;kyWINDOW	.equ	048h
;kyYEQU		.equ	049h
;kyTRACE	.equ	05Ah
kySPACE		.equ	099h
kyA		.equ	09Ah
kyB		.equ	09Bh
kyC		.equ	09Ch
kyD		.equ	09Dh
kyE		.equ	09Eh
kyF		.equ	09Fh
kyG		.equ	0A0h
kyH		.equ	0A1h
kyI		.equ	0A2h
kyJ		.equ	0A3h
kyK		.equ	0A4h
kyL		.equ	0A5h
kyM		.equ	0A6h
kyN		.equ	0A7h
kyO		.equ	0A8h
kyP		.equ	0A9h
kyQ		.equ	0AAh
kyR		.equ	0ABh
kyS		.equ	0ACh
kyT		.equ	0ADh
kyU		.equ	0AEh
kyV		.equ	0AFh
kyW		.equ	0B0h
kyX		.equ	0B1h
kyY		.equ	0B2h
kyZ		.equ	0B3h
;kyVarx		.equ	0B4h
kycolon		.equ	0C6h
kyQUEST		.equ	0CAh
kyQUOTE		.equ	0CBh
kyTHETA		.equ	0CCh

; 			'GETK' KEY EQUATES

G_NONE   = $00
G_DOWN   = $01
G_LEFT   = $02
G_RIGHT  = $03
G_UP     = $04
;5
;6
;7
;8

G_ENTER  = $09
G_PLUS   = $0A
G_MINUS  = $0B
G_TIMES  = $0C
G_DIV    = $0D
G_CARROT = $0E
G_CLEAR  = $0F
;$10

G_NEG    = $11
G_3      = $12
G_6      = $13
G_9      = $14
G_PARENR = $15
G_TAN    = $16
G_VARS   = $17
;$18

G_PERIOD = $19
G_2      = $1A
G_5      = $1B
G_8      = $1C
G_PARENL = $1D
G_COS    = $1E
G_PRGM   = $1F
G_STAT   = $20

G_0      = $21
G_1      = $22
G_4      = $23
G_7      = $24
G_COMMA  = $25
G_SIN    = $26
G_MATRIX = $27
G_XTO    = $28

G_ON     = $29
G_STO    = $2A
G_LN     = $2B
G_LOG    = $2C
G_SQR    = $2D
G_INVE   = $2E
G_MATH   = $2F
G_ALPHA  = $30

G_GRAPH  = $31
G_TRACE  = $32
G_ZOOM   = $33
G_WINDOW = $34
G_YEDIT  = $35
G_2ND    = $36
G_SECOND = $36
G_MODE   = $37
G_DEL    = $38


; 			DIRECT INPUT KEY EQUATES
ResetKeypad	.equ	0FFh

Group1	.equ	%11111110	;254
Group2	.equ	%11111101	;253
Group3	.equ	%11111011	;251
Group4	.equ	%11110111	;247
Group5	.equ	%11101111	;239
Group6	.equ	%11011111	;223
Group7	.equ	%10111111	;191
	;	%01111111	127

;Group 1
kDown		.equ %11111110
kLeft		.equ %11111101
kRight		.equ %11111011
kUp		.equ %11110111

;Group 2
kEnter		.equ %11111110
kAdd		.equ %11111101
kSub		.equ %11111011
kMul		.equ %11110111
kDiv		.equ %11101111
kExpon		.equ %11011111
kClear		.equ %10111111

;Group 3
kChs		.equ %11111110
k3		.equ %11111101
k6		.equ %11111011
k9		.equ %11110111
kRParen 	.equ %11101111
kTan		.equ %11011111
kVARS		.equ %10111111

;Group 4
kDecPnt 	.equ %11111110
k2		.equ %11111101
k5		.equ %11111011
k8		.equ %11110111
kLParen		.equ %11101111
kCos		.equ %11011111
kPrgm		.equ %10111111
kStat		.equ %01111111

;Group 5
k0		.equ %11111110
k1		.equ %11111101
k4		.equ %11111011
k7		.equ %11110111
kCOMMA		.equ %11101111
kSin		.equ %11011111
kMATRIX	        .equ %10111111
kVarx		.equ %01111111

;Group 6
kStore		.equ %11111101
kLN		.equ %11111011
kLOG		.equ %11110111
kSQUARE 	.equ %11101111
kINV		.equ %11011111
kMATH		.equ %10111111
kALPHA		.equ %01111111

;Group 7
kGRAPH		.equ %11111110
kTRACE		.equ %11111101
kZOOM		.equ %11111011
kWINDOW 	.equ %11110111
kYEQU		.equ %11101111
;kSecond 	.equ %11011111
;kMODE		.equ %10111111
;kDEL		.equ %01111111